summaryrefslogtreecommitdiff
path: root/totsc
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
committerNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
commit3603dfcb5d12e19b75dccbc2a621adb83fd7adea (patch)
tree4db93b4e5fb98a380475b9edd5c0054a0d51302b /totsc
parentc2c29265815ddfa73d77276bc2fd5a53be08e608 (diff)
downloadgemrb-gameinstallers-b9c47f93e949f71a2d48cdfbea311fd16e664bf0.tar.bz2
gemrb-gameinstallers-b9c47f93e949f71a2d48cdfbea311fd16e664bf0.zip
Move overridden die for patch to new general function: diesoftlyv0.1.1
Diffstat (limited to 'totsc')
-rwxr-xr-xtotsc/install-patch-baldurdash-fix.sh2
-rwxr-xr-xtotsc/install-patch-baldurdash-text.sh4
-rwxr-xr-xtotsc/install-patch-intl.sh6
-rwxr-xr-xtotsc/install-patch-uk.sh6
-rwxr-xr-xtotsc/install-patch-us.sh6
5 files changed, 12 insertions, 12 deletions
diff --git a/totsc/install-patch-baldurdash-fix.sh b/totsc/install-patch-baldurdash-fix.sh
index ef00260..be9b3be 100755
--- a/totsc/install-patch-baldurdash-fix.sh
+++ b/totsc/install-patch-baldurdash-fix.sh
@@ -32,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-baldurdash-text.sh b/totsc/install-patch-baldurdash-text.sh
index af7a861..36e4304 100755
--- a/totsc/install-patch-baldurdash-text.sh
+++ b/totsc/install-patch-baldurdash-text.sh
@@ -24,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -36,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-intl.sh b/totsc/install-patch-intl.sh
index 1f25619..19c2b15 100755
--- a/totsc/install-patch-intl.sh
+++ b/totsc/install-patch-intl.sh
@@ -28,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe
-cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-uk.sh b/totsc/install-patch-uk.sh
index 144ac66..09ea70c 100755
--- a/totsc/install-patch-uk.sh
+++ b/totsc/install-patch-uk.sh
@@ -28,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
-cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-us.sh b/totsc/install-patch-us.sh
index ac17078..5939ac4 100755
--- a/totsc/install-patch-us.sh
+++ b/totsc/install-patch-us.sh
@@ -28,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
-cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"